%define    name      easytag
%define    version   1.99.8
%define    release   1.2006mcnl
%define    prefix    /usr

Summary:       Tag editor for MP3 and Ogg Vorbis files.
Summary(fr):   Editeur de tags pour fichiers MP3 et Vorbis Ogg.
Name:          %name
Version:       %version
Release:       %release
License:       GPL
URL:           http://easytag.sourceforge.net
Group:         Applications/Multimedia
Source:        http://prdownloads.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
BuildRoot:     /var/tmp/%name-buildroot
Vendor:        Mandrivaclub.nl
Packager:      Marco Meijer <marco@mandrivaclub.nl>
Requires:      gtk2 >= 2.4
Requires:      id3lib    >= 3.7.12
Requires:      libogg    >= 1.0
Requires:      libvorbis >= 1.0
Requires:      flac      >= 1.1.0
BuildRequires: gtk2-devel >= 2.4
BuildRequires: libid3lib-devel >= 3.8.0
BuildRequires: libogg-devel    >= 1.0
BuildRequires: libvorbis-devel >= 1.0
BuildRequires: libflac-devel  >= 1.1.0
Prefix:        %prefix

%description
EasyTAG is an utility for viewing and editing tags for MP3, MP2, FLAC, Ogg Vorbis, MusePack and Monkey's Audio files. Its simple and nice GTK+ interface makes tagging easier under GNU/Linux.

%prep
%setup

%build
./configure --prefix=%{prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{prefix} install

# install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="EasyTAG"\
longtitle="An utility for viewing/editing MP3 tags with a GTK+ GUI."\
command="easytag"\
icon="%{name}.png"
EOF
# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert pixmaps/EasyTAG.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 32x32 pixmaps/EasyTAG.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -scale 16x16 pixmaps/EasyTAG.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc ChangeLog INSTALL COPYING README TODO THANKS USERS-GUIDE
%{_bindir}/easytag
%{_datadir}/applications/easytag.desktop
%{_datadir}/pixmaps/*
%{_datadir}/easytag/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%prefix/man/*/easytag.*
%prefix/share/locale/*/*/*


%changelog
* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 1.9.8-1.2006mcnl
- new version

* Mon Jul 25 2005 Marco Meijer <marco@mandrivaclub.nl> 1.9.7-1.102mcnl
- new version

* Fri Jun 24 2005 Marco Meijer <marco@mandrivaclub.nl> 1.9.5-2.102mcnl
- new version

* Thu Jun 09 2005 Marco Meijer <marco@mandrivaclub.nl> 1.9.5-1.102mcnl
- new version

* Tue Jun 07 2005 Marco Meijer <marco@mandrivaclub.nl> 1.9.4-1.102mcnl
- Mandriva LE2005 rebuild

* Tue May 03 2005 Marco Meijer <marco@mandrivaclub.nl>  1.9.4-1.101mcnl
- new version

* Sat Jan 22 2005 Marco Meijer <marco@mandrivaclub.nl>  1.9.3-1.101mcnl
- new version

* Tue Dec 14 2004 Marco Meijer <marco@mandrivaclub.nl>  1.0-3.101mcnl
- Repair menu icon

* Sat Dec 11 2004 Marco Meijer <marco@mandrivaclub.nl>  1.0-2.101mcnl
- Mandrake 10.1 build

* Sun Jan 4 2004 Jerome Couderc <j.couderc@ifrance.com>
  - Updated (Build)Requires entries for FLAC support

* Tue Dec 16 2003 Jerome Couderc <j.couderc@ifrance.com>
  - Updated for the file easytag.desktop

* Mon Dec 31 2002 Jerome Couderc <j.couderc@ifrance.com>
  - Added man page

* Fri Aug 9 2002 Jerome Couderc <j.couderc@ifrance.com>
  - Added swith --disable-flac in the build section

* Thu Dec 18 2001 Jerome Couderc <j.couderc@ifrance.com>
  - Updated for (Build)Requires entries

* Thu Sep 22 2001 Jerome Couderc <j.couderc@ifrance.com>
  - Updated for /etc/X11/applnk/Multimedia/easytag.desktop

* Thu Sep 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.15.1-1
  - Updated for autoconf

* Fri Jun 2 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Updated to include po files into the rpm package

* Fri May 5 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Initial spec file.
